task TNseq {
	File ref_dir
	File dbsnp_dir
	String sample
	String SENTIEON_INSTALL_DIR
	String SENTIEON_LICENSE
	String tumor_name
	String normal_name
	String docker
	String cluster_config

	String fasta
	File corealigner_bam
	File corealigner_bam_index
	String dbsnp
	String disk_size
	
	Boolean PONmode
	String? cosmic_vcf
	File? cosmic_dir
	File panel_of_normal_vcf


	command <<<
		set -o pipefail
		set -e
		export SENTIEON_LICENSE=${SENTIEON_LICENSE}
		nt=$(nproc)

		if [ ${PONmode} ]; then
			mkdir -p /cromwell_root/tmp/cosmic/
			cp ${cosmic_dir}/${cosmic_vcf} /cromwell_root/tmp/cosmic/
			${SENTIEON_INSTALL_DIR}/bin/sentieon util vcfindex /cromwell_root/tmp/cosmic/${cosmic_vcf}
			PONcommand="--pon ${panel_of_normal_vcf} --cosmic /cromwell_root/tmp/cosmic/${cosmic_vcf}"
		else
			PONcommand=""
		fi
		
		${SENTIEON_INSTALL_DIR}/bin/sentieon driver -t $nt -r ${ref_dir}/${fasta} -i ${corealigner_bam} --algo TNhaplotyper --tumor_sample ${tumor_name} --normal_sample ${normal_name} --dbsnp ${dbsnp_dir}/${dbsnp} PONcommand ${sample}.TNseq.TN.vcf

	>>>

	runtime {
		docker: docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File TNseq_vcf= "${sample}.TNseq.TN.vcf"
		File TNseq_vcf_index = "${sample}.TNseq.TN.vcf.idx"
	}

}


