task bcftools {

	File pon_vcf1
	File pon_vcf2
	File pon_vcf3
	String docker
	String cluster_config
	String disk_size
	Boolean PONmode


	command <<<
		set -o pipefail
		set -e
		
		if [ ${PONmode} ]; then
			mkdir -p /cromwell_root/tmp/bcftools/
			

			bcftools view ${pon_vcf1} -Oz -o /cromwell_root/tmp/bcftools/$(basename ${pon_vcf1}.gz)
			bcftools view ${pon_vcf2} -Oz -o /cromwell_root/tmp/bcftools/$(basename ${pon_vcf1}.gz)
			bcftools view ${pon_vcf3} -Oz -o /cromwell_root/tmp/bcftools/$(basename ${pon_vcf1}.gz)
			
			cd /cromwell_root/tmp/bcftools
			bcftools index *.vcf.gz
			#bcftools index FUSCCTNBC330_pon.vcf.gz
			#bcftools index FUSCCTNBC467_pon.vcf.gz
			for i in ${sep=" " *.vcf.gz}
			do
			bcftools index $i
			done
			bcftools merge -m all -f PASS,. --force-samples *.vcf.gz | bcftools plugin fill-AN-AC | bcftools filter -i 'SUM(AC)>1' > panel_of_normal.vcf
		else
			touch panel_of_normal.vcf
		fi

	>>>

	runtime {
		docker: docker
		cluster: cluster_config
		systemDisk: "cloud_ssd 40"
		dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
	}
	
	output {
		File panel_of_normal_vcf = "panel_of_normal.vcf"
	}
}